Bug 121792 - Toggle of Tab setting "show close button on tabs instead of website icon" is not applied
Summary: Toggle of Tab setting "show close button on tabs instead of website icon" is ...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: tabbing (show other bugs)
Version: 3.5
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-11 21:23 UTC by Christian D.
Modified: 2012-01-29 06:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian D. 2006-02-11 21:23:52 UTC
Version:           3.5.1 (using KDE 3.5.1, Kubuntu Package 4:3.5.1-0ubuntu5 dapper)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.15-15-686

Toggle of Tab setting "show close button on tabs instead of website icon" is not applied after closing the config dialog (with ok button).You need to kill all konqueror instances and restart konqueror for the change to take effect
Comment 1 Christian D. 2006-02-11 21:29:07 UTC
It should read: You need to kill all _preloaded_ konqueror instances 
Comment 2 Jaime Torres 2008-05-16 18:20:12 UTC
It needs a strings change from "Show close buttons on tabs" to "Show close buttons on tabs. Needs Konqueror restart".
Comment 3 Jaime Torres 2008-05-21 11:52:15 UTC
It can not have the "Needs Konqueror restart", as it will not follow KDE UIG.
http://developer.kde.org/documentation/standards/kde/style/basics/settings.html
The settings should take immediate effect in all application instances!
Comment 4 Grósz Dániel 2009-01-07 20:43:26 UTC
The option's tooltip ([...]"instead of websites' icons") is inapropriate in recent versions where the close buton is not placed instead of the icon. (Is this worth a separate report?)
Comment 5 Burkhard Lück 2011-08-23 04:14:51 UTC
Git commit 3a35ba14e62e3f9bceb0698802bb78f37ad8ec5f by Burkhard Lück.
Committed on 23/08/2011 at 06:14.
Pushed by lueck into branch 'master'.

fix wrong tooltips for PermanentCloseButton+MiddleClickClose

CCBUG:121792
REVIEW:101936

M  +2    -2    konqueror/settings/konqhtml/advancedTabOptions.ui

http://commits.kde.org/kde-baseapps/3a35ba14e62e3f9bceb0698802bb78f37ad8ec5f
Comment 6 Dawit Alemayehu 2012-01-29 06:46:44 UTC
Git commit 2f63fe74e513580879cde3d4678d8268bd91da52 by Dawit Alemayehu.
Committed on 29/01/2012 at 07:09.
Pushed by adawit into branch 'KDE/4.8'.

Make sure the user's preference to show or hide the close buttons takes effect
as soon as the changes are applied. Not after restarting Konqueror.
FIXED-IN: 4.8.1
GUI: Removed portion of a tool tip text that is no longer valid.

M  +1    -1    konqueror/settings/konqhtml/advancedTabOptions.ui
M  +1    -0    konqueror/src/konqviewmanager.cpp

http://commits.kde.org/kde-baseapps/2f63fe74e513580879cde3d4678d8268bd91da52
Comment 7 Dawit Alemayehu 2012-01-29 06:46:54 UTC
Git commit e828d4e693ef9d3648de808be10901cf04a840b7 by Dawit Alemayehu.
Committed on 29/01/2012 at 07:09.
Pushed by adawit into branch 'master'.

Make sure the user's preference to show or hide the close buttons takes effect
as soon as the changes are applied. Not after restarting Konqueror.
FIXED-IN: 4.8.1
GUI: Removed portion of a tool tip text that is no longer valid.
(cherry picked from commit 2f63fe74e513580879cde3d4678d8268bd91da52)

M  +1    -1    konqueror/settings/konqhtml/advancedTabOptions.ui
M  +1    -0    konqueror/src/konqviewmanager.cpp

http://commits.kde.org/kde-baseapps/e828d4e693ef9d3648de808be10901cf04a840b7